org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTInitCapture

All Superinterfaces:
  IASTDeclaration, IASTNameOwner, IASTNode, ICPPASTCapture, ICPPASTPackExpandable

    public interface ICPPASTInitCapture
    extends ICPPASTCapture, IASTDeclaration

Init capture for a lambda expression, introduced in C++14.

Since:
  6.5
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `DECLARATOR`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTCapture

`IDENTIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclaration

`EMPTY_DECLARATION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTInitCapture` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTInitCapture` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`ICPPASTDeclarator` `getDeclarator()`
`void` `setDeclarator(ICPPASTDeclarator declarator)`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTCapture

`capturesThisPointer, getIdentifier, isByReference, setIdentifier, setIsByReference`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTPackExpandable

`isPackExpansion, setIsPackExpansion`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### DECLARATOR

    static final ASTNodeProperty DECLARATOR

### Method Detail

#### copy

    ICPPASTInitCapture copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTDeclaration`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICPPASTCapture`

#### copy

    ICPPASTInitCapture copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTDeclaration`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICPPASTCapture`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.

#### getDeclarator

    ICPPASTDeclarator getDeclarator()

#### setDeclarator

    void setDeclarator(ICPPASTDeclarator declarator)